Advertising

Author Topic: I desperatly need help with nvidia drivers  (Read 339 times)

Offline liamza2314

  • Newbie
  • *
  • Posts: 1
I desperatly need help with nvidia drivers
« on: March 26, 2018, 11:19:43 am »
Hi everyone, I'm running Sparkylinux 5 gameover edition on my Dell Inspiron 9400, 2gb ram, I am running the x86 version as I see no need for 64 bit at the moment

My graphics card is a Nvidia Geforce Go 7900GS and I have tried everything to get the drivers working (I have been following guides related to debian as I cant find any information for sparky)
I have blocked the nouveau kernel driver and tried many methods to install the driver, including
The nvidia .run file off the website - with dkms it fails to install the kernel module for some reason (sorry i didnt get the error or logs, i don't want to disable nouveau again as I've spent time setting a lot of things up) and without dkms I get an error about kernel headers (which i did install)
sudo apt-get install nvidia-legacy-304xx-driver - Seems to install fine but after running nvidia-xconfig, my resolution is locked at 1024x768 and the desktop enviroment wont start, the error seems to be xorg saying something along the lines of no screen found

I tried a few more methods that resulted in the xconfig error

Any help would be appreciated
Thanks

Offline penguin

  • Jr. Member
  • **
  • Posts: 82
Re: I desperatly need help with nvidia drivers
« Reply #1 on: April 10, 2018, 12:54:38 pm »
Have you searched on google before?


Code: [Select]
https://www.google.no/search?client=opera&q=Nvidia+Geforce+Go+7900GS+linux&sourceid=opera&ie=UTF-8&oe=UTF-8
Code: [Select]
https://ubuntuforums.org/showthread.php?t=1668974
Code: [Select]
https://www.gamespot.com/forums/pc-mac-linux-society-1000004/geforce-go-7900-gs-advice-25415743/
I tried one time to have NVIDIA drivers on Lenovo W510 and I did not see benefits. I left default as was.



Offline paxmark1

  • Sr. Member
  • ****
  • Posts: 372
Re: I desperatly need help with nvidia drivers
« Reply #2 on: April 10, 2018, 05:25:25 pm »
Not much info of "Buster: ("5") but still worth a read if using nvidia proprierty drivers

https://wiki.debian.org/NvidiaGraphicsDrivers

Don't make a FrankenDebian